## notekit-ff37a8b9115bd3a023ca8c6d80ad923af8d9df8f.tar.gz

=== CMakeLists.txt ===
# -*- CMakeLists.txt generated by CodeLite IDE. Do not edit by hand -*-

cmake_minimum_required(VERSION 2.8.11)

# Project name
project(notekit)

# This setting is useful for providing JSON file used by CodeLite for code completion
set(CMAKE_EXPORT_COMPILE_COMMANDS 1)

set(CONFIGURATION_NAME "Release")

set(CL_WORKSPACE_DIRECTORY .)
# Set default locations
set(CL_OUTPUT_DIRECTORY ${CMAKE_CURRENT_LIST_DIR}/${CL_WORKSPACE_DIRECTORY}/cmake-build-${CONFIGURATION_NAME}/output)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CL_OUTPUT_DIRECTORY})
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CL_OUTPUT_DIRECTORY})
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CL_OUTPUT_DIRECTORY})

# Projects


# Top project
# Define some variables
set(PROJECT_notekit_PATH "${CMAKE_CURRENT_LIST_DIR}")
set(WORKSPACE_PATH "${CMAKE_CURRENT_LIST_DIR}/")



#{{{{ User Code 1
option (HAVE_LASEM "Use lasem-0.6 library to render LaTeX math" OFF)
set (LASEM_PATH "${CMAKE_CURRENT_LIST_DIR}/lasem/" CACHE STRING "Base path for lasem-0.6")

option (HAVE_CLATEXMATH "Use cLaTeXMath to render LaTeX math" OFF)
set (CLATEXMATH_PATH "${CMAKE_CURRENT_LIST_DIR}/cLaTeXMath/" CACHE STRING "Base path for cLaTeXMath")

option (MIGRATE_LEGACY_SETTINGS "Migrate settings from legacy config file" ON)

set(DEFAULT_SETTINGS_PROVIDER "json" CACHE STRING "GSettings backend")
set_property(CACHE DEFAULT_SETTINGS_PROVIDER PROPERTY STRINGS json gio)

set (LATEX_COMMENT_START "<!--")
set (LATEX_COMMENT_END "-->")

if (HAVE_LASEM)
    include_directories("${LASEM_PATH}/src/")
    set (LATEX_COMMENT_START "")
    set (LATEX_COMMENT_END "")
endif (HAVE_LASEM)

if (HAVE_CLATEXMATH)
    include_directories("${CLATEXMATH_PATH}/src/")
    set (LATEX_COMMENT_START "")
    set (LATEX_COMMENT_END "")
    find_package(PkgConfig)
    # due to
    # https://github.com/NanoMichael/cLaTeXMath/pull/68
    # https://github.com/NanoMichael/cLaTeXMath/pull/70
    # we have to link tinyxml2 manually now
    pkg_check_modules(tinyxml2 tinyxml2)
endif (HAVE_CLATEXMATH)

configure_file (
  "${CMAKE_CURRENT_LIST_DIR}/config.h.in"
  "${CMAKE_CURRENT_LIST_DIR}/config.h"
  )

configure_file (
  "${CMAKE_CURRENT_LIST_DIR}/sourceview/markdown.lang.in"
  "${CMAKE_CURRENT_LIST_DIR}/sourceview/markdown.lang"
  )

execute_process (COMMAND pkg-config gio-2.0 --variable glib_compile_schemas  OUTPUT_VARIABLE _glib_comple_schemas OUTPUT_STRIP_TRAILING_WHITESPACE)
execute_process (COMMAND ${_glib_comple_schemas} --dry-run --schema-file=${CMAKE_CURRENT_SOURCE_DIR}/gnome/com.github.blackhole89.notekit.gschema.xml ERROR_VARIABLE _schemas_invalid OUTPUT_STRIP_TRAILING_WHITESPACE)

if (_schemas_invalid)
  message (SEND_ERROR "Schema validation error: ${_schemas_invalid}")
endif (_schemas_invalid)

add_custom_command(
    OUTPUT "${CMAKE_CURRENT_LIST_DIR}/data/gschemas.compiled"
    WORKING_DIRECTORY "${CMAKE_CURRENT_LIST_DIR}/gnome"
    COMMAND
        "${_glib_comple_schemas}"
    ARGS
        "${CMAKE_CURRENT_LIST_DIR}/gnome"
        "--targetdir=${CMAKE_CURRENT_LIST_DIR}/data"
    DEPENDS
        "${CMAKE_CURRENT_LIST_DIR}/gnome/com.github.blackhole89.notekit.gschema.xml"
    VERBATIM
)

add_custom_target(schema SOURCES "${CMAKE_CURRENT_LIST_DIR}/data/gschemas.compiled")
#}}}}

include_directories(
    .
    .

)


# Compiler options
execute_process(COMMAND 
    pkg-config --cflags gtkmm-3.0
    OUTPUT_VARIABLE
    CL_TMP_VAR
    OUTPUT_STRIP_TRAILING_WHITESPACE)
string(STRIP ${CL_TMP_VAR} CL_VAR_1)
execute_process(COMMAND 
    pkg-config --cflags gtksourceviewmm-3.0
    OUTPUT_VARIABLE
    CL_TMP_VAR
    OUTPUT_STRIP_TRAILING_WHITESPACE)
string(STRIP ${CL_TMP_VAR} CL_VAR_2)
execute_process(COMMAND 
    pkg-config --cflags jsoncpp
    OUTPUT_VARIABLE
    CL_TMP_VAR
    OUTPUT_STRIP_TRAILING_WHITESPACE)
string(STRIP ${CL_TMP_VAR} CL_VAR_3)
execute_process(COMMAND 
    pkg-config --cflags fontconfig
    OUTPUT_VARIABLE
    CL_TMP_VAR
    OUTPUT_STRIP_TRAILING_WHITESPACE)
string(STRIP ${CL_TMP_VAR} CL_VAR_4)
add_definitions(${CL_VAR_1})
add_definitions(${CL_VAR_2})
add_definitions(${CL_VAR_3})
add_definitions(${CL_VAR_4})
add_definitions(-std=c++17)
add_definitions(-O2)
add_definitions(-Wall)
add_definitions(
    -DNDEBUG
)


# Linker options
execute_process(COMMAND 
    pkg-config --libs gtkmm-3.0
    OUTPUT_VARIABLE
    CL_TMP_VAR
    OUTPUT_STRIP_TRAILING_WHITESPACE)
string(STRIP ${CL_TMP_VAR} CL_VAR_5)
execute_process(COMMAND 
    pkg-config --libs gtksourceviewmm-3.0
    OUTPUT_VARIABLE
    CL_TMP_VAR
    OUTPUT_STRIP_TRAILING_WHITESPACE)
string(STRIP ${CL_TMP_VAR} CL_VAR_6)
execute_process(COMMAND 
    pkg-config --libs jsoncpp
    OUTPUT_VARIABLE
    CL_TMP_VAR
    OUTPUT_STRIP_TRAILING_WHITESPACE)
string(STRIP ${CL_TMP_VAR} CL_VAR_7)
set(LINK_OPTIONS ${CL_VAR_5})
set(LINK_OPTIONS ${LINK_OPTIONS} ${CL_VAR_6})
set(LINK_OPTIONS ${LINK_OPTIONS} ${CL_VAR_7})


if(WIN32)
    # Resource options
endif(WIN32)

# Library path
link_directories(
    .
)

# Define the CXX sources
set ( CXX_SRCS
    ${CMAKE_CURRENT_LIST_DIR}/settings.cpp
    ${CMAKE_CURRENT_LIST_DIR}/mainwindow.cpp
    ${CMAKE_CURRENT_LIST_DIR}/main.cpp
    ${CMAKE_CURRENT_LIST_DIR}/navigation.cpp
    ${CMAKE_CURRENT_LIST_DIR}/imagewidgets.cpp
    ${CMAKE_CURRENT_LIST_DIR}/notebook.cpp
    ${CMAKE_CURRENT_LIST_DIR}/drawing.cpp
    ${CMAKE_CURRENT_LIST_DIR}/about.cpp
)

set_source_files_properties(
    ${CXX_SRCS} PROPERTIES COMPILE_FLAGS 
    " -std=c++17 -pthread -pthread -O2 -Wall")

if(WIN32)
    enable_language(RC)
    set(CMAKE_RC_COMPILE_OBJECT
        "<CMAKE_RC_COMPILER> ${RC_OPTIONS} -O coff -i <SOURCE> -o <OBJECT>")
endif(WIN32)



#{{{{ User Code 2
if (HAVE_LASEM)
    set(LINK_OPTIONS -L${LASEM_PATH}/src/.libs/ -l:liblasem-0.6.a ${LINK_OPTIONS})
endif (HAVE_LASEM)

if (HAVE_CLATEXMATH)
    set(LINK_OPTIONS -L${CLATEXMATH_PATH}/ -l:libLaTeX.a -l${tinyxml2_LIBRARIES} ${LINK_OPTIONS})
endif (HAVE_CLATEXMATH)
#}}}}

add_executable(notekit ${RC_SRCS} ${CXX_SRCS} ${C_SRCS})
target_link_libraries(notekit ${LINK_OPTIONS})

target_link_libraries(notekit
    z
    fontconfig
)



#{{{{ User Code 3
if (HAVE_LASEM)
    target_link_libraries(notekit xml2)
endif (HAVE_LASEM)

if (HAVE_CLATEXMATH)
    target_link_libraries(notekit fontconfig)
endif (HAVE_CLATEXMATH)

add_dependencies(notekit schema)

install(TARGETS notekit DESTINATION bin)
install(DIRECTORY data DESTINATION share/notekit)
install(DIRECTORY sourceview DESTINATION share/notekit)
#}}}}

=== Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.18

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Disable VCS-based implicit rules.
% : %,v


# Disable VCS-based implicit rules.
% : RCS/%


# Disable VCS-based implicit rules.
% : RCS/%,v


# Disable VCS-based implicit rules.
% : SCCS/s.%


# Disable VCS-based implicit rules.
% : s.%


.SUFFIXES: .hpux_make_needs_suffix_list


# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /d0/coding/notekit

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /d0/coding/notekit

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /d0/coding/notekit/CMakeFiles /d0/coding/notekit//CMakeFiles/progress.marks
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /d0/coding/notekit/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named notekit

# Build rule for target.
notekit: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 notekit
.PHONY : notekit

# fast build rule for target.
notekit/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/build
.PHONY : notekit/fast

#=============================================================================
# Target rules for targets named schema

# Build rule for target.
schema: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 schema
.PHONY : schema

# fast build rule for target.
schema/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/schema.dir/build.make CMakeFiles/schema.dir/build
.PHONY : schema/fast

about.o: about.cpp.o

.PHONY : about.o

# target to build an object file
about.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/about.cpp.o
.PHONY : about.cpp.o

about.i: about.cpp.i

.PHONY : about.i

# target to preprocess a source file
about.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/about.cpp.i
.PHONY : about.cpp.i

about.s: about.cpp.s

.PHONY : about.s

# target to generate assembly for a file
about.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/about.cpp.s
.PHONY : about.cpp.s

drawing.o: drawing.cpp.o

.PHONY : drawing.o

# target to build an object file
drawing.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/drawing.cpp.o
.PHONY : drawing.cpp.o

drawing.i: drawing.cpp.i

.PHONY : drawing.i

# target to preprocess a source file
drawing.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/drawing.cpp.i
.PHONY : drawing.cpp.i

drawing.s: drawing.cpp.s

.PHONY : drawing.s

# target to generate assembly for a file
drawing.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/drawing.cpp.s
.PHONY : drawing.cpp.s

imagewidgets.o: imagewidgets.cpp.o

.PHONY : imagewidgets.o

# target to build an object file
imagewidgets.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/imagewidgets.cpp.o
.PHONY : imagewidgets.cpp.o

imagewidgets.i: imagewidgets.cpp.i

.PHONY : imagewidgets.i

# target to preprocess a source file
imagewidgets.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/imagewidgets.cpp.i
.PHONY : imagewidgets.cpp.i

imagewidgets.s: imagewidgets.cpp.s

.PHONY : imagewidgets.s

# target to generate assembly for a file
imagewidgets.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/imagewidgets.cpp.s
.PHONY : imagewidgets.cpp.s

main.o: main.cpp.o

.PHONY : main.o

# target to build an object file
main.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/main.cpp.o
.PHONY : main.cpp.o

main.i: main.cpp.i

.PHONY : main.i

# target to preprocess a source file
main.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/main.cpp.i
.PHONY : main.cpp.i

main.s: main.cpp.s

.PHONY : main.s

# target to generate assembly for a file
main.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/main.cpp.s
.PHONY : main.cpp.s

mainwindow.o: mainwindow.cpp.o

.PHONY : mainwindow.o

# target to build an object file
mainwindow.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/mainwindow.cpp.o
.PHONY : mainwindow.cpp.o

mainwindow.i: mainwindow.cpp.i

.PHONY : mainwindow.i

# target to preprocess a source file
mainwindow.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/mainwindow.cpp.i
.PHONY : mainwindow.cpp.i

mainwindow.s: mainwindow.cpp.s

.PHONY : mainwindow.s

# target to generate assembly for a file
mainwindow.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/mainwindow.cpp.s
.PHONY : mainwindow.cpp.s

navigation.o: navigation.cpp.o

.PHONY : navigation.o

# target to build an object file
navigation.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/navigation.cpp.o
.PHONY : navigation.cpp.o

navigation.i: navigation.cpp.i

.PHONY : navigation.i

# target to preprocess a source file
navigation.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/navigation.cpp.i
.PHONY : navigation.cpp.i

navigation.s: navigation.cpp.s

.PHONY : navigation.s

# target to generate assembly for a file
navigation.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/navigation.cpp.s
.PHONY : navigation.cpp.s

notebook.o: notebook.cpp.o

.PHONY : notebook.o

# target to build an object file
notebook.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/notebook.cpp.o
.PHONY : notebook.cpp.o

notebook.i: notebook.cpp.i

.PHONY : notebook.i

# target to preprocess a source file
notebook.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/notebook.cpp.i
.PHONY : notebook.cpp.i

notebook.s: notebook.cpp.s

.PHONY : notebook.s

# target to generate assembly for a file
notebook.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/notebook.cpp.s
.PHONY : notebook.cpp.s

settings.o: settings.cpp.o

.PHONY : settings.o

# target to build an object file
settings.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/settings.cpp.o
.PHONY : settings.cpp.o

settings.i: settings.cpp.i

.PHONY : settings.i

# target to preprocess a source file
settings.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/settings.cpp.i
.PHONY : settings.cpp.i

settings.s: settings.cpp.s

.PHONY : settings.s

# target to generate assembly for a file
settings.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/notekit.dir/build.make CMakeFiles/notekit.dir/settings.cpp.s
.PHONY : settings.cpp.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... schema"
	@echo "... notekit"
	@echo "... about.o"
	@echo "... about.i"
	@echo "... about.s"
	@echo "... drawing.o"
	@echo "... drawing.i"
	@echo "... drawing.s"
	@echo "... imagewidgets.o"
	@echo "... imagewidgets.i"
	@echo "... imagewidgets.s"
	@echo "... main.o"
	@echo "... main.i"

=== meson_options.txt ===
option('clatexmath', type : 'boolean', value : true, description : 'Use cLaTeXMath')
option('settings_provider', type: 'combo', choices: ['json', 'gio'], value: 'gio', description: 'Default settings provider')
option('migrate_legacy_settings', type: 'boolean', value: true, description: 'Should NoteKit migrate legacy settings to the new settings format')

=== debian/changelog ===
notekit (0.2) unstable; urgency=medium
  
  * Various bugfixes.
  * Add support for inline images and image pasting.
  * Misc improvements.

 -- Matvey Soloviev <blackhole89@gmail.com>  Tue, 23 Nov 2021 16:20:00 -0500

notekit (0.1-1) unstable; urgency=medium

  * Initial release

 -- Matvey Soloviev <blackhole89@gmail.com>  Thu, 24 Dec 2020 20:27:45 -0500

=== debian/control ===
Source: notekit
Section: text
Priority: optional
Maintainer: Matvey Soloviev <blackhole89@gmail.com>
Build-Depends: cmake, libfontconfig1-dev, zlib1g-dev, libjsoncpp-dev, libgtksourceviewmm-3.0-dev, libgtkmm-3.0-dev, debhelper-compat (= 12)
Standards-Version: 4.5.1
Homepage: https://github.com/blackhole89/notekit
#Vcs-Browser: https://salsa.debian.org/debian/notekit
Vcs-Git: https://github.com/blackhole89/notekit.git
Rules-Requires-Root: no

Package: notekit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Markdown note-taking app with tablet support and LaTeX math

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	rm -f Makefile
	./install-clatexmath.sh
	dh $@


override_dh_auto_configure:
	dh_auto_configure -- \
	-DHAVE_CLATEXMATH=ON

override_dh_shlibdeps:
	dh_shlibdeps
	sed -i "s/libtinyxml2-6 (>= 5.0.0)/libtinyxml2-6 (>= 5.0.0) | libtinyxml2-6a (>= 5.0.0)/g" debian/notekit.substvars
